#
# spec file for package python-txtorcon
#
# Copyright (c) 2018 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


%{?!python_module:%define python_module() python-%{**} %{!?skip_python3:python3-%{**}}}
Name:           python-txtorcon
Version:        0.20.0
Release:        3.1
Summary:        Twisted-based asynchronous Tor control protocol implementation
License:        MIT
Group:          Development/Languages/Python
URL:            https://txtorcon.readthedocs.org
Source:         https://files.pythonhosted.org/packages/source/t/txtorcon/txtorcon-%{version}.tar.gz
BuildRequires:  %{python_module setuptools >= 36.2}
BuildRequires:  fdupes
BuildRequires:  python-ipaddress
BuildRequires:  python-rpm-macros
Requires:       python-GeoIP
Requires:       python-Twisted
BuildArch:      noarch
# SECTION test requirements
BuildRequires:  %{python_module GeoIP}
BuildRequires:  %{python_module Twisted}
# /SECTION
%ifpython2
Requires:       python-ipaddress
%endif
%python_subpackages

%description
Twisted-based asynchronous Tor control protocol implementation. Includes
unit-tests, examples, state-tracking code and configuration abstraction.

%prep
%setup -q -n txtorcon-%{version}

sed -i '/data_files/,/\]\,/s/^/#/' setup.py

%build
%python_build

%install
%python_install
# remove the tests from distribution
%python_expand rm -rf %{buildroot}%{$python_sitelib}/test/
%python_expand %fdupes %{buildroot}%{$python_sitelib}

%files %{python_files}
%license LICENSE
%{python_sitelib}/*

%changelog
* Tue Dec  4 2018 mcepl@suse.com
- Remove superfluous devel dependency for noarch package
* Mon Apr 23 2018 tchvatal@suse.com
- Remove test directory from sitelib
* Fri Mar  2 2018 avvissu@yandex.by
- Initial package
